Skip to main content
POST
/
vacation_pay_settings
/
batch
/
upsert
Batch upsert vacation pay settings
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/vacation_pay_settings/batch/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "id": "<id>",
    "effective_to": "2025-06-30",
    "note": "Ended early due to plan change"
  },
  {
    "work_assignment_id": "<id>",
    "percentage": 6,
    "vacation_pay_method": "per_period",
    "effective_from": "2025-07-01",
    "overrides": [
      {
        "type": "earning",
        "subtype": "commission",
        "percentage": 3,
        "method": "per_period"
      }
    ]
  }
]
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
Required array length: 1 - 100 elements

Response

202

Accepted